Gecode::Int::Extensional Namespace Reference

Extensional propagators More...

## Classes

class | LayeredGraph
| Domain consistent layered graph (regular) propagator. More...
class | TinyBitSet
| Tiny bit-set. More...
class | BitSet
| Bit-set. More...
class | Compact
| Base class for compact table propagator. More...
class | PosCompact
| Domain consistent positive extensional propagator. More...
class | NegCompact
| Domain consistent negative extensional propagator. More...
class | ReCompact
| Domain consistent reified extensional propagator. More...
class | TransByI_State
| Sort transition array by input state. More...
class | TransBySymbol
| Sort transition array by symbol (value). More...
class | TransBySymbolI_State
| Sort transition array by symbol and then input states. More...
class | TransByO_State
| Sort transition array by output state. More...
class | StateGroup
| Stategroup is used to compute a partition of states. More...
class | StateGroupByGroup
| Sort groups stated by group and then state. More...
class | GroupStates
| GroupStates is used to index StateGroup by group More...
class | VarTraits
| Traits class for variables. More...
class | VarTraits< IntVar >
| Traits class for variables. More...
class | VarTraits< BoolVar >
| Traits class for variables. More...
class | TupleCompare
| Tuple comparison. More...
class | PosCompare
| Tuple comparison by position. More...

## Typedefs

typedef Gecode::Support::BitSetData | BitSetData
| Import type.
typedef TupleSet::Tuple | Tuple
| Tuple type.

## Enumerations

enum | StateInfo { SI_NONE = 0 , SI_FROM_START = 1 , SI_TO_FINAL = 2 , SI_FINAL = 4 }
| Information about states. More...

## Functions

template<class Var>
ExecStatus | post_lgp (Home home, const VarArgArray< Var > &x, const DFA &dfa)
| Select small types for the layered graph propagator.
template<class View>
ExecStatus | postposcompact (Home home, ViewArray< View > &x, const TupleSet &ts)
| Post function for positive compact table propagator.
template<class View>
ExecStatus | postnegcompact (Home home, ViewArray< View > &x, const TupleSet &ts)
| Post function for compact table propagator.
template<class View, class CtrlView, ReifyMode rm>
ExecStatus | postrecompact (Home home, ViewArray< View > &x, const TupleSet &ts, CtrlView b)
| Post function for compact table propagator.

## Detailed Description

Extensional propagators

## Typedef Documentation

## BitSetData

typedef Gecode::Support::BitSetData Gecode::Int::Extensional::BitSetData

Import type.

Definition at line 226 of file extensional.hh.

## Tuple

typedef::Gecode::TupleSet::Tuple Gecode::Int::Extensional::Tuple

Tuple type.

Import tuple type.

Definition at line 358 of file extensional.hh.

## Enumeration Type Documentation

## StateInfo

enum Gecode::Int::Extensional::StateInfo

Information about states.

Enumerator
SI_NONE | State is not reachable.
SI_FROM_START | State is reachable from start state.
SI_TO_FINAL | Final state is reachable from state.
SI_FINAL | State is final.

Definition at line 140 of file dfa.cpp.

## Function Documentation

## post_lgp()

template<class Var>

ExecStatus Gecode::Int::Extensional::post_lgp | ( | Home | home,
|  | const VarArgArray< Var > & | x,
|  | const DFA & | dfa )

inline

Select small types for the layered graph propagator.

Definition at line 852 of file layered-graph.hpp.

## postposcompact()

template<class View>

ExecStatus Gecode::Int::Extensional::postposcompact | ( | Home | home,
|  | ViewArray< View > & | x,
|  | const TupleSet & | ts )

Post function for positive compact table propagator.

Definition at line 685 of file compact.hpp.

## postnegcompact()

template<class View>

ExecStatus Gecode::Int::Extensional::postnegcompact | ( | Home | home,
|  | ViewArray< View > & | x,
|  | const TupleSet & | ts )

Post function for compact table propagator.

Definition at line 955 of file compact.hpp.

## postrecompact()

template<class View, class CtrlView, ReifyMode rm>

ExecStatus Gecode::Int::Extensional::postrecompact | ( | Home | home,
|  | ViewArray< View > & | x,
|  | const TupleSet & | ts,
|  | CtrlView | b )

Post function for compact table propagator.

Definition at line 1192 of file compact.hpp.